package org.amse.im.practice.formula;

public interface IFormula {
/**	 @return  ,  X 
 */
	String getXFormula();
/**	@return  ,  Y 
 */
	String getYFormula();
/**	@return  ,  Z 
*/
	String getZFormula();
	
/** @return	 ,     T
 */
	String getStringStartT();
/** @return	 ,     T
 */
	String getStringEndT();
/** @return	 ,     U
 */
	String getStringStartU();
/** @return	 ,     U
 */
	String getStringEndU();

	
	//void setXFormula(String str);
	//void setYFormula(String str);
	//void setZFormula(String str);
	
/** @return	 ,     t
 */
	double getStartT();
/** @return	 ,     t
 */
	double getEndT();
/** @return	 ,     u
 */ 
	double getStartU();
/**	 @return  ,     u
 */
	double getEndU();
	
	/*
	void setStartT(double startT);
	void setEndT(double endT);
	void setStartU(double startU);
	void setEndU(double endU);
	*/
	
/**	     
 * @return      ,   false
 */
	boolean isValid();
/**
 * @return  3-  ,     x,y,z
 *      u,t
 */	
	Point3D evaluate(double u, double t);
}
