package org.amse.im.practice.formula.syntaxTree.node;

import org.amse.im.practice.formula.syntaxTree.tokenType.IToken;

class CosineNode extends UnaryNode {
	CosineNode(IToken token, INode child) {
		super(token, child);
	}

	protected double calculate(double childValue) {
		return Math.cos(childValue);
	}
}
