package org.amse.im.practice.view;

import org.amse.im.practice.exceptions.MyException;
import org.amse.im.practice.formula.impl.ConstantExpression;

class ConstantFormulaTextField extends FormulaTextField {
	ConstantFormulaTextField(String content, int size, View view) {
		super(content, size, view);
	}

	boolean isCorrect() {
		try {
			new ConstantExpression(this.getText());
		} catch(MyException e){
			return false;
		}
		return true;
	}
}
